TechDraw Angolo da 3 punti

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Angle3Pt and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎русский
Arrow-left.svg Techdraw Dimension Angle.png Angolo Pagina precedente:
Pagina successiva: Link alla dimensione Techdraw Dimension Link.png Arrow-right.svg

TechDraw Dimension Angle3Pt.svg Angolo da 3 punti

Posizione nel menu
TechDraw → Angolo da 3 punti
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
0.18
Vedere anche
Angolo


Descrizione

Lo strumento Angolo da 3 punti aggiunge una dimensione angolare a una vista. La dimensione può essere specificata selezionando tre vertici su una vista. Notare che il secondo dei tre vertici è l'apice dell'angolo. Inizialmente viene indicato il valore dell'angolo proiettato (vale a dire, come mostrato nel disegno), ma questo valore può essere sostituito con quello dell'angolo 3D effettivo utilizzando lo strumento TechDraw Dimension Link.svg Link alla dimensione

TechDraw Dimension Angle3Pt example.png

Misurare l'angolo tra due linee rette usando tre vertici; il secondo vertice è l'apice dell'angolo


Utilizzo

  1. Selezionare i punti o bordi che definiscono la misura.
  2. Premere il pulsante TechDraw Dimension Angle3Pt.png Angolo da 3 punti
  3. Alla Vista viene aggiunta una dimensione. La dimensione può essere trascinata nella posizione desiderata.

Limitazioni

Gli oggetti dimensione sono vulnerabili ai problemi di "denominazione topologica". Per maggiori informazioni vedere le informazioni nello strumento Lunghezza.

Proprietà

Questo oggetto ha le stesse proprietà dello strumento Lunghezza

Script

Vedere anche: TechDraw API e Nozioni di base sugli script di FreeCAD.

Lo strumento Dimension Angle3Pt può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)


Arrow-left.svg Techdraw Dimension Angle.png Angolo Pagina precedente:
Pagina successiva: Link alla dimensione Techdraw Dimension Link.png Arrow-right.svg